%define name	qarecord
%define version	0.5.0
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	QT based ALSA recording interface
Version: 	%{version}
Release: 	%{release}

Source:		http://sourceforge.net/projects/alsamodular/files/QARecord/%version/%{name}-%{version}.tar.bz2
Patch0:		qarecord-0.5.0-fix-str-fmt.patch
URL:		http://alsamodular.sourceforge.net/
License:	GPLv2+
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt4-devel alsa-lib-devel jackit-devel

%description
QARecord is a simple multithreaded stereo recording tool. It can record both
16 bit and 32 bit WAVs. By using a large ringbuffer for the captured data,
buffer overruns are avoided. QARecord can also be used as JACK client. 

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=QARecord
Comment=ALSA recording GUI
Exec=%{_bindir}/%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=AudioVideo;Audio;Recorder;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root)
%{_bindir}/%name
%{_mandir}/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(de) %{_mandir}/de/man1/*
%{_datadir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Wed Nov 25 2009 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2010.0
+ Revision: 469909
- new version 0.5.0

* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.0.9b-7mdv2010.0
+ Revision: 433752
- rebuild

* Mon Sep 07 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.0.9b-6mdv2010.0
+ Revision: 432692
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.9b-5mdv2009.0
+ Revision: 259906
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.9b-4mdv2009.0
+ Revision: 247755
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.0.9b-2mdv2008.1
+ Revision: 136465
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import qarecord


* Sat Sep 16 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.9b-2mdv2007.0
- %%mkrel
- xdg menu

* Fri Jan 27 2006 Austin Acton <austin@mandriva.org> 0.0.9b-1mdk
- 0.0.9b
- lib64 fix

* Thu Aug 7 2003 Austin Acton <aacton@yorku.ca> 0.0.9-1mdk
- initial package
